# Uses of Class
org.apache.sysds.runtime.iogen.RawIndex

Packages that use RawIndex
Package
Description
org.apache.sysds.runtime.iogen

## Uses of RawIndex in org.apache.sysds.runtime.iogen

Methods in org.apache.sysds.runtime.iogen that return RawIndex
Modifier and Type
Method
Description
`RawIndex[]`
ReaderMapping.`getSampleRawIndexes()`
`RawIndex[]`
ReaderMappingIndex.`getSampleRawIndexes()`
Constructors in org.apache.sysds.runtime.iogen with parameters of type RawIndex
Modifier
Constructor
Description
``
`ReaderMapping(int nlines, int nrows, int ncols, RawIndex[] sampleRawIndexes, MatrixBlock matrix)`
``
`ReaderMappingIndex(int nlines, int nrows, int ncols, RawIndex[] sampleRawIndexes, MatrixBlock matrix)`